SingletonTypeDefinitionImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.meta.impl

## Class SingletonTypeDefinitionImpl

- java.lang.Object
- - tv.amwa.maj.meta.impl.MetaDefinitionImpl
  - - tv.amwa.maj.meta.impl.TypeDefinitionImpl
    - - tv.amwa.maj.meta.impl.SingletonTypeDefinitionImpl

- All Implemented Interfaces:
    Serializable, Cloneable, CommonConstants, MetadataObject, WeakReferenceTarget, MetaDefinition, TypeDefinition, DefinitionType
  Direct Known Subclasses:
    TypeDefinitionCharacterImpl, TypeDefinitionEnumerationImpl, TypeDefinitionExtendibleEnumerationImpl, TypeDefinitionFixedArrayImpl, TypeDefinitionIndirectImpl, TypeDefinitionIntegerImpl, TypeDefinitionObjectReferenceImpl, TypeDefinitionRecordImpl, TypeDefinitionRenameImpl, TypeDefinitionStreamImpl, TypeDefinitionStringImpl

      @HiddenClass
      public abstract class SingletonTypeDefinitionImpl
      extends TypeDefinitionImpl

  Provides property value set and get methods for reflectively setting and getting values from metadata objects.

  This class provides no public methods.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SingletonTypeDefinitionImpl.SingletonMethodBag`

    - ### Nested classes/interfaces inherited from class tv.amwa.maj.meta.impl.TypeDefinitionImpl

      `TypeDefinitionImpl.PropertyValueImpl`

  - ### Field Summary

    - ### Fields inherited from interface tv.amwa.maj.constant.CommonConstants

      `AAF_METADICT_NAMESPACE, AAF_METADICT_PREFIX, AAF_XML_NAMESPACE, AAF_XML_PREFIX, ApplicationPluginObjectID, ApplicationPluginsID, MAX_NUM_RGBA_COMPS, MemberOfID, ObjectClassID, ParentClassID, PropertiesID, XMLClassIDAsAttributeName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingletonTypeDefinitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setPropertyValue(MetadataObject metadataObject, PropertyDefinition property, PropertyValue value)` On the given metadata object, set the specified property to the given value.

    - ### Methods inherited from class tv.amwa.maj.meta.impl.TypeDefinitionImpl

      `clone, createFromBytes, createValue, getNamespace, getPrefix, getPropertyValue, getTypeCategory, initalizeTypeNameMap, lengthAsBytes, nameToAAFName, resolveReferences, writeAsBytes, writeAsStructuredStorageBytes`

    - ### Methods inherited from class tv.amwa.maj.meta.impl.MetaDefinitionImpl

      `aafNameToName, appendMetadictXML, appendXMLChildren, deepEquals, equals, getAAFNamesInUse, getAliases, getAUID, getComment, getDescription, getIdentification, getName, getSymbol, getWeakTargetReference, hashCode, initializeMetaDefinitionIdentification, initializeMetaDefinitionName, setAAFNamesInUse, setAliases, setDescription, setIdentification, setName, setNamespace, setPrefix, setSymbol, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tv.amwa.maj.meta.MetaDefinition

      `appendMetadictXML, deepEquals, equals, getAAFNamesInUse, getAliases, getAUID, getDescription, getName, getSymbol, hashCode, setAAFNamesInUse, setDescription, setName, setNamespace, setPrefix, setSymbol, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getWeakTargetReference`

- - ### Constructor Detail

    - #### SingletonTypeDefinitionImpl

          public SingletonTypeDefinitionImpl()

  - ### Method Detail

    - #### setPropertyValue

          public void setPropertyValue(MetadataObject metadataObject,
                                       PropertyDefinition property,
                                       PropertyValue value)
                                throws IllegalArgumentException,
                                       IllegalAccessException,
                                       InvocationTargetException

      Description copied from interface: `TypeDefinition`

      On the given metadata object, set the specified property to the given value. The property must be of this type.

      Specified by:
        `setPropertyValue` in interface `TypeDefinition`
      Specified by:
        `setPropertyValue` in class `TypeDefinitionImpl`
      Parameters:
        `metadataObject` - Object to set the value on.
        `property` - Property of the object to set.
        `value` - Value of this type to set the property value to.
      Throws:
        `IllegalArgumentException` - The given property value is not of this type.
        `IllegalAccessException` - Insufficient privileges to set properties on the given metadata object.
        `InvocationTargetException` - Problem encountered while calling the set method associated with the property for the given object.
      See Also:
        `TypeDefinition.getPropertyValue(MetadataObject, PropertyDefinition)`

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.